package dev.fitko.fitconnect.api.domain.model.destination;

import com.fasterxml.jackson.annotation.JsonProperty;
import dev.fitko.fitconnect.api.domain.model.reply.replychannel.ReplyChannel;
import dev.fitko.fitconnect.api.domain.model.callback.Callback;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.LinkedHashSet;
import java.util.Set;
import java.util.UUID;

@Data
@NoArgsConstructor
public class Destination {

    @JsonProperty("destinationId")
    private UUID destinationId;

    @JsonProperty("encryptionKid")
    private String encryptionKid;

    @JsonProperty("metadataVersions")
    private Set<String> metadataVersions = new LinkedHashSet<>();

    @JsonProperty("replyChannels")
    private ReplyChannel replyChannels;

    @JsonProperty("services")
    private Set<DestinationService> services = new LinkedHashSet<>();

    @JsonProperty("status")
    private StatusEnum status;

    @JsonProperty("contactInformation")
    private ContactInformation contactInformation;

    @JsonProperty("callback")
    private Callback callback;
}

