package dev.fitko.fitconnect.api.domain.model.event.problems;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * Superclass for all FIT-Connect problems.
 *
 * @see <a href="https://docs.fitko.de/fit-connect/docs/sending/accept-reject#aufbau">FIT-Connect Problems</a>
 */
@Data
@AllArgsConstructor
public class Problem {

    @JsonIgnore
    public static final String SCHEMA_URL = "https://schema.fitko.de/fit-connect/events/problems/";

    @JsonProperty("type")
    private final String type;

    @JsonProperty("title")
    private final String title;

    @JsonProperty("detail")
    private final String detail;

    @JsonProperty("instance")
    private final String instance;
}
