package dev.fitko.fitconnect.api.exceptions.internal;

public class RestApiException extends RuntimeException {

    private int statusCode = 500;

    public RestApiException(final String errorMessage, final Throwable error) {
        super(errorMessage, error);
    }

    public RestApiException(final String errorMessage, final Throwable error, final int statusCode) {
        super(errorMessage, error);
        this.statusCode = statusCode;
    }

    public RestApiException(final String errorMessage) {
        super(errorMessage);
    }

    public RestApiException(final String errorMessage, int statusCode) {
        super(errorMessage);
        this.statusCode = statusCode;
    }

    public int getStatusCode() {
        return statusCode;
    }

    public boolean isNotFound() {
        return this.statusCode == 404;
    }
}
