# FIT-Connect Java-SDK Examples

This module provides examples for all basic sdk features and shows how they can be used. 

- [Official Java SDK Docs](https://docs.fitko.de/fit-connect/docs/sdks/java-sdk/overview)
- [Documentation](https://docs.fitko.de/fit-connect/docs/receiving/destination), on how to set up a destination
- [Self-Service-Portal]( https://portal.auth-testing.fit-connect.fitko.dev/login) of the test environment: _(for the login you need a gitlab- or github-account)_

All examples can be executed by providing your credentials via a config. 

## Overview
- Providing a config &#8594; [ApplicationConfigExample](src/main/java/dev/fitko/fitconnect/sdk/examples/ApplicationConfigExample.java)
- Sending submissions &#8594; [SenderExample](src/main/java/dev/fitko/fitconnect/sdk/examples/SenderExample.java)
- Subscribing to submissions &#8594; [SubscriberExample](src/main/java/dev/fitko/fitconnect/sdk/examples/SubscriberExample.java)
- Sending and receiving replies for submissions &#8594; [ReplyExample](src/main/java/dev/fitko/fitconnect/sdk/examples/ReplyExample.java)
- Validating Callbacks from you HTTP Callback Response data &#8594; [CallbackValidationExample](src/main/java/dev/fitko/fitconnect/sdk/examples/ReplyExample.java)
