package dev.fitko.fitconnect.integrationtests;

import dev.fitko.fitconnect.api.domain.auth.OAuthToken;
import dev.fitko.fitconnect.core.auth.DefaultOAuthApiService;
import dev.fitko.fitconnect.core.http.HttpClient;
import dev.fitko.fitconnect.integrationtests.condition.EnableIfEnvironmentVariablesAreSet;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertNotNull;
import static org.junit.jupiter.api.Assertions.assertNull;


@EnableIfEnvironmentVariablesAreSet
public class AuthenticationIT {

    @Test
    void retrieveAuthenticationToken() {

        // Given
        final var tokenUrl = "https://auth-testing.fit-connect.fitko.dev/token";
        final var clientId = System.getenv("SUBSCRIBER_CLIENT_ID");
        final var secret = System.getenv("SUBSCRIBER_CLIENT_SECRET");

        final HttpClient restService = new HttpClient();

        final var authService = new DefaultOAuthApiService(restService, clientId, secret, tokenUrl);

        // When
        final OAuthToken token = authService.getCurrentToken();

        // Then
        assertNotNull(token);
        assertNull(token.getError());
        assertNotNull(token.getAccessToken());
        assertEquals(1800, token.getExpiresIn());
    }
}
